QGIS Application - Bug report #14722

Adding new GeoPackage connection to DB Manager is throwing error

2016-04-24 09:10 AM - zicke -

Status: Closed

Priority: Normal
Assignee: Salvatore Larosa
Category: DB Manager

Affected QGIS version:master
Operating System: Ubuntu
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 22682

Description

| get the following error:

TypeError: Treeltem.itemChanged[] signal has 0 argument(s) but

Traceback (most recent call last):

1 provided

File "/usr/local/qgis_master/share/qgis/python/plugins/db_manager/db_tree.py", line 103, in newConnection
self. mainWindow.invokeCallback(item.addConnectionActionSlot, index)
File "/usr/local/qgis_master/share/qgis/python/plugins/db_manager/db_manager.py", line 288, in invokeCallback

callback(self.tree.currentltem(), self.sender(), self, *params)

File "/usr/local/qgis_master/share/qgis/python/plugins/db_manager/db_plugins/spatialite/plugin.py”, line 102, in

addConnectionActionSlot

index.internalPointer().itemChanged.emit(index.internalPointer())
TypeError: Treeltem.itemChanged(] signal has 0 argument(s) but 1 provided

After reopening db manager, the geopackage file is added.

Associated revisions

Revision 65aa8601 - 2016-06-07 02:06 PM - Salvatore Larosa

[dbmanager] Fixes #14722 - Adding new GeoPackage connection to DB Manager is throwing error

History

#1 - 2016-06-07 02:43 AM - Salvatore Larosa

- Assignee set to Salvatore Larosa

#2 - 2016-06-07 05:06 AM - Salvatore Larosa
- Status changed from Open to Closed

Fixed in changeset commit:"65aa8601214acebda07565f1b03937bb677756d1".
